Subject: Re: bug#16533: 24.3.50; "s" no longer works as documented in dired

From: Glenn Morris <[email-masked]>
Date: Thu, 23 Jan 2014 22:10:12 -0500

Markus Triska wrote:

> When I do:
>
>    $ emacs -Q
>
> and then view my home directory in dired with:
>
>    C-x C-f RET
>
> and then list all files in decreasing order of their file sizes with:
>
>    C-u s S RET
>
> (making the switches read: "-alS")
>
> and then press "s", dired says "Dired by date" but still orders by size.

So is the complaint that it says "Dired by date"?
I can't reproduce this.

> This works as expected in Emacs 22.1.1, where "s" then sorts by date.

I don't understand. "-alS" means ls should sort by size.
Sort by date would be "-alt".

> In GNU Emacs 24.3.50.2 (x86_64-apple-darwin10.8.0, X toolkit, Xaw3d scroll bars)
>  of 2014-01-04 on mt-imac.local